Bug 997652 - [abrt] meld-1.7.3-1.fc18: filediff.py:1633:on_fileentry_activate:AttributeError: 'NoneType' object has no attribute 'decode'
[abrt] meld-1.7.3-1.fc18: filediff.py:1633:on_fileentry_activate:AttributeErr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: meld (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
abrt_hash:865b79e640081759f19afb0e625...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 17:49 EDT by jd1008
Modified: 2014-02-05 21:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:17:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (884 bytes, text/plain)
2013-08-15 17:49 EDT, jd1008
no flags Details

  None (edit)
Description jd1008 2013-08-15 17:49:16 EDT
Description of problem:
Tried to compare 2 files.

Version-Release number of selected component:
meld-1.7.3-1.fc18

Additional info:
reporter:       libreport-2.1.5
cmdline:        python /bin/meld
core_backtrace: 66b039a025ba33f907c4d95864f29bd524aaa2fb 0x661 on_fileentry_activate /usr/share/meld/meld/filediff.py -
environ:        
executable:     /bin/meld
kernel:         3.9.11-200.fc18.x86_64
runlevel:       N 5
uid:            1008

Truncated backtrace:
filediff.py:1633:on_fileentry_activate:AttributeError: 'NoneType' object has no attribute 'decode'

Traceback (most recent call last):
  File "/usr/share/meld/meld/filediff.py", line 1633, in on_fileentry_activate
    paths = [p.decode('utf8') for p in paths]
AttributeError: 'NoneType' object has no attribute 'decode'

Local variables in innermost frame:
paths: ['/sdb4/Misc/Docs/pw.txt', '/sdc1/Misc/Docs/pw.txt', None]
e: <HistoryFileEntry object at 0x1ebb0a0 (HistoryFileEntry at 0x2161b60)>
self: <FileDiff object at 0x1ebafa0 (meld+filediff+FileDiff at 0x23f9c60)>
p: None
entries: [<HistoryFileEntry object at 0x1ebb3c0 (HistoryFileEntry at 0x22b0170)>, <HistoryFileEntry object at 0x1ebb280 (HistoryFileEntry at 0x2161ec0)>, <HistoryFileEntry object at 0x1ebb0a0 (HistoryFileEntry at 0x2161b60)>]
entry: <HistoryFileEntry object at 0x1ebb280 (HistoryFileEntry at 0x2161ec0)>
Comment 1 jd1008 2013-08-15 17:49:20 EDT
Created attachment 787059 [details]
File: backtrace
Comment 2 Fedora End Of Life 2013-12-21 09:28:57 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 17:17:13 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 jd1008 2014-02-05 21:01:53 EST
Will it be fixed in fc20??

Note You need to log in before you can comment on or make changes to this bug.